COMPILED_SPRITE(3)

NAME
COMPILED_SPRITE

SYNOPSIS
#include <allegro.h>

typedef struct COMPILED_SPRITE

DESCRIPTION
   short planar;        - set if it's a planar (mode-X) sprite
   short color_depth;   - color depth of the image
   short w, h;          - size of the sprite

Compiled sprites are stored as actual machine code instructions that draw a specific image onto a bitmap, using mov instructions with immediate data values. Read chapter "Compiled sprites" for a description of the restrictions and how to obtain/use this structure.

SEE ALSO
get_compiled_sprite(3), BITMAP(3), RLE_SPRITE(3)